Bug 122951 - An empty square is inserted as graphic in bullet and numbering dialog
Summary: An empty square is inserted as graphic in bullet and numbering dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.1 target:6.1.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2019-01-25 10:19 UTC by Xisco Faulí
Modified: 2019-01-29 12:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-25 10:19:39 UTC
Steps to reproduce:
1. Open Writer
2. Go to Format - Bullet and Numbering
3. Customize tab
4. Number -> Graphics
5. Graphics - Select - Gallery - Select any
6. Click Ok

-> An empty square is inserted

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: a6358f1c1b8f981345061b0cbb708df707a5b7b8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-01-25 10:20:57 UTC
Regression introduced by:

author	Julien Nabet <serval2412@yahoo.fr>	2018-02-27 22:34:17 +0100
committer	Julien Nabet <serval2412@yahoo.fr>	2018-02-28 11:02:12 +0100
commit	81260c448911069ce8cb051d3a973ec52b9b43a3 (patch)
tree	2c18396c931db3f78f21e813fd9307ea5405b85b
parent	b6aee26f3630fd531e51f781391ba0130001df60 (diff)
Use for-range loops in cui


https://cgit.freedesktop.org/libreoffice/core/commit/?id=81260c448911069ce8cb051d3a973ec52b9b43a3

Bisected with: bibisect-linux64-6.1

Adding Cc: to Julien Nabet
Comment 2 Xisco Faulí 2019-01-25 11:20:06 UTC
Patch in gerrit -> https://gerrit.libreoffice.org/#/c/66903/ awaiting for C++ experts' review...
Comment 3 Commit Notification 2019-01-25 13:41:06 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/265a4fd43d207cd6a99fdd9c23d54259428ed709%5E%21

tdf#122951: Fix insertion of graphics as bullets

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-01-28 10:35:21 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c985db8b603d809d5896e42259e0768d607177f7%5E%21

tdf#122951: Fix insertion of graphics as bullets

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-01-28 13:10:55 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/a9642a2549bf429eb70aed724fbd98a147c22a42%5E%21

tdf#122951: Fix insertion of graphics as bullets

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-01-29 12:49:32 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-5":

https://git.libreoffice.org/core/+/bc549a6bf496bb1c787979538cea53fce317424a%5E%21

tdf#122951: Fix insertion of graphics as bullets

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.